
(function ($) {

  "use strict";


/*-----------------------------------------------------------------------------------

 	Custom JS - All back-end jQuery

-----------------------------------------------------------------------------------*/

jQuery(window).load(function(){
jQuery('.rAds').hide();
});

jQuery(document).ready(function() {


	// A few overrides to the rwmb metaboxes.

	jQuery('.rwmb-text').addClass('widefat');
	jQuery('.rwmb-oembed').css('width', '80%');
	jQuery('.rwmb-textarea').removeClass('large-text').addClass('widefat');
	jQuery('.rwmb-delete-file').on(function(e) {
		e.preventDefault();
		jQuery(this).parent().parent().slideUp(600);
	});

	// Show metaboxes according to the current post format.



/*----------------------------------------------------------------------------------*/
/*	Gallery Options
/*----------------------------------------------------------------------------------*/

	var galleryOptions = jQuery('#gallery-settings');
	var galleryTrigger = jQuery('#post-format-gallery');

	galleryOptions.css('display', 'none');

/*----------------------------------------------------------------------------------*/
/*	Video Options
/*----------------------------------------------------------------------------------*/

	var embedOptions = jQuery('#embed-settings');
	var embedTrigger = jQuery('#post-format-video');
	var embedTrigger2 = jQuery('#post-format-audio');

	embedOptions.css('display', 'none');

/*----------------------------------------------------------------------------------*/
/*	The Brain
/*----------------------------------------------------------------------------------*/

	var group = jQuery('#post-formats-select input');


	group.change( function() {

		if (jQuery(this).val() == 'gallery') {
			galleryOptions.css('display', 'block');
			ninethemeHideAll(galleryOptions);

		} else if(jQuery(this).val() == 'video') {
			embedOptions.css('display', 'block');
			ninethemeHideAll(embedOptions);

		} else if(jQuery(this).val() == 'audio') {
			embedOptions.css('display', 'block');
			ninethemeHideAll(embedOptions);

		} else {
			embedOptions.css('display', 'none');
			galleryOptions.css('display', 'none');
		}

	});

	if(galleryTrigger.is(':checked'))
		galleryOptions.css('display', 'block');

	if(embedTrigger.is(':checked'))
		embedOptions.css('display', 'block');

	if(embedTrigger2.is(':checked'))
		embedOptions.css('display', 'block');

	function ninethemeHideAll(notThisOne) {
		embedOptions.css('display', 'none');
		galleryOptions.css('display', 'none');
		notThisOne.css('display', 'block');
	}


/*----------------------------------------------------------------------------------*/
/*	for displaying page top header
/*----------------------------------------------------------------------------------*/

	//page header navigation settings
	var pagenav = jQuery('#softing_page_nav_onoff');
	var navlogo = jQuery('label[for="softing_page_logo"]').parents('.rwmb-image_advanced-wrapper');
	var navlogo2 = jQuery('label[for="softing_page_logo_sticky"]').parents('.rwmb-image_advanced-wrapper');
	var navwidth = jQuery('label[for="softing_page_nav_width"]').parents('.rwmb-select-wrapper');
	var navbgtype = jQuery('label[for="softing_page_nav_bgtype"]').parents('.rwmb-select-wrapper');
	var navmenualign = jQuery('label[for="softing_page_nav_menu_align"]').parents('.rwmb-select-wrapper');
	var navbg = jQuery('label[for="softing_page_nav_bgcolor"]').parents('.rwmb-color-wrapper');
	var navitem = jQuery('label[for="softing_page_nav_color"]').parents('.rwmb-color-wrapper');
	var navhvritem = jQuery('label[for="softing_page_nav_hovercolor"]').parents('.rwmb-color-wrapper');
	var navhvrbg = jQuery('label[for="softing_page_nav_hoverbgcolor"]').parents('.rwmb-color-wrapper');
	var navpt = jQuery('label[for="softing_page_nav_pt"]').parents('.rwmb-number-wrapper');
	var navpb = jQuery('label[for="softing_page_nav_pb"]').parents('.rwmb-number-wrapper');
	var navsubbg = jQuery('label[for="softing_page_subnav_bg"]').parents('.rwmb-color-wrapper');
	var navsubminw= jQuery('label[for="softing_page_subnav_minw"]').parents('.rwmb-number-wrapper');
	var navsubclr= jQuery('label[for="softing_page_subnav_clr"]').parents('.rwmb-color-wrapper');
	var navsubhvrclr= jQuery('label[for="softing_page_subnav_hvrclr"]').parents('.rwmb-color-wrapper');
	var navsubpad= jQuery('label[for="softing_page_subnav_pad"]').parents('.rwmb-text_list-wrapper');
	var navtab1divider = jQuery('#pageheadersettings .rwmb-tab-panel-tab1 .rwmb-divider-wrapper');
	var navtab2 = jQuery('#pageheadersettings .rwmb-tab-tab2');
	var navoffinfo = jQuery('#pageheadersettings #page-nav-off-info').parents('.rwmb-custom_html-wrapper');

	if( !pagenav.is(':checked')) {
		navtab2.slideUp();
		navlogo.slideUp();
		navlogo2.slideUp();
		navwidth.slideUp();
		navbgtype.slideUp();
		navmenualign.slideUp();
		navbg.slideUp();
		navitem.slideUp();
		navhvritem.slideUp();
		navhvrbg.slideUp();
		navpt.slideUp();
		navpb.slideUp();
		navsubbg.slideUp();
		navsubminw.slideUp();
		navsubclr.slideUp();
		navsubhvrclr.slideUp();
		navsubpad.slideUp();
		navtab1divider.slideUp();
		navoffinfo.slideDown();
	}
	else {
		navtab2.slideDown();
		navlogo.slideDown();
		navlogo2.slideDown();
		navwidth.slideDown();
		navbgtype.slideDown();
		navmenualign.slideDown();
		navbg.slideDown();
		navitem.slideDown();
		navhvritem.slideDown();
		navhvrbg.slideDown();
		navpt.slideDown();
		navpb.slideDown();
		navsubbg.slideDown();
		navsubminw.slideDown();
		navsubclr.slideDown();
		navsubhvrclr.slideDown();
		navsubpad.slideDown();
		navtab1divider.slideDown();
		navoffinfo.slideUp();
	}
	pagenav.live('change', function(){
		if(!pagenav.is(':checked')) {
		navtab2.slideUp();
		navlogo.slideUp();
		navlogo2.slideUp();
		navwidth.slideUp();
		navbgtype.slideUp();
		navmenualign.slideUp();
		navbg.slideUp();
		navitem.slideUp();
		navhvritem.slideUp();
		navhvrbg.slideUp();
		navpt.slideUp();
		navpb.slideUp();
		navsubbg.slideUp();
		navsubminw.slideUp();
		navsubclr.slideUp();
		navsubhvrclr.slideUp();
		navsubpad.slideUp();
		navtab1divider.slideUp();
		navoffinfo.slideDown();
		}
		else {
		navtab2.slideDown();
		navlogo.slideDown();
		navlogo2.slideDown();
		navwidth.slideDown();
		navbgtype.slideDown();
		navmenualign.slideDown();
		navbg.slideDown();
		navitem.slideDown();
		navhvritem.slideDown();
		navhvrbg.slideDown();
		navpt.slideDown();
		navpb.slideDown();
		navsubbg.slideDown();
		navsubminw.slideDown();
		navsubclr.slideDown();
		navsubhvrclr.slideDown();
		navsubpad.slideDown();
		navtab1divider.slideDown();
		navoffinfo.slideUp();
		}
	});

	//page header navigation right button settings
	var pagenavbtn = jQuery('#softing_page_nav_btn');
	var navbtntitle1 = jQuery('label[for="softing_page_nav_btn1_title"]').parents('.rwmb-text-wrapper');
	var navbtnurl1 = jQuery('label[for="softing_page_nav_btn1_url"]').parents('.rwmb-text-wrapper');
    var navbtntarget1 = jQuery('label[for="softing_page_nav_btn1_target"]').parents('.rwmb-select-wrapper');
	var navbtntitle2 = jQuery('label[for="softing_page_nav_btn2_title"]').parents('.rwmb-text-wrapper');
	var navbtnurl2 = jQuery('label[for="softing_page_nav_btn2_url"]').parents('.rwmb-text-wrapper');
    var navbtntarget2 = jQuery('label[for="softing_page_nav_btn2_target"]').parents('.rwmb-select-wrapper');
	var navtab2divider = jQuery('#pageheadersettings .rwmb-tab-panel-tab2 .rwmb-divider-wrapper');
	var navbtnoffinfo = jQuery('#pageheadersettings #page-nav-btn-off-info').parents('.rwmb-custom_html-wrapper');

	if( !pagenavbtn.is(':checked')) {
		navbtntitle1.slideUp();
		navbtnurl1.slideUp();
		navbtntarget1.slideUp();
		navbtntitle2.slideUp();
		navbtnurl2.slideUp();
        navbtntarget2.slideUp();
		navtab2divider.slideUp();
		navbtnoffinfo.slideDown();
	}
	else {
        navbtntitle1.slideDown();
		navbtnurl1.slideDown();
		navbtntarget1.slideDown();
		navbtntitle2.slideDown();
		navbtnurl2.slideDown();
        navbtntarget2.slideDown();
		navtab2divider.slideDown();
		navbtnoffinfo.slideUp();
	}
	pagenavbtn.live('change', function(){
		if(!pagenavbtn.is(':checked')) {
        navbtntitle1.slideUp();
		navbtnurl1.slideUp();
		navbtntarget1.slideUp();
		navbtntitle2.slideUp();
		navbtnurl2.slideUp();
        navbtntarget2.slideUp();
		navtab2divider.slideUp();
		navbtnoffinfo.slideDown();
		}
		else {
        navbtntitle1.slideDown();
		navbtnurl1.slideDown();
		navbtntarget1.slideDown();
		navbtntitle2.slideDown();
		navbtnurl2.slideDown();
        navbtntarget2.slideDown();
		navtab2divider.slideDown();
		navbtnoffinfo.slideUp();
		}
	});

	//page footer display settings
	var pagefooter= jQuery('#page_footer_onoff');
	var pagefooterbg = jQuery('label[for="softing_p_f_bg"]').parents('.rwmb-color-wrapper');
	var pagefooterc = jQuery('label[for="softing_p_f_c"]').parents('.rwmb-color-wrapper');
	var pagefooterpt = jQuery('label[for="softing_p_f_pt"]').parents('.rwmb-number-wrapper');
	var pagefooterpb = jQuery('label[for="softing_p_f_pb"]').parents('.rwmb-number-wrapper');
	var pagefooterdivider = jQuery('#pageheadersettings .rwmb-tab-panel-tab3 .rwmb-divider-wrapper');
	var pagefooterinfo = jQuery('#pageheadersettings #page-footer-off-info').parents('.rwmb-custom_html-wrapper');

	if( !pagefooter.is(':checked')) {
		pagefooterbg.slideUp();
		pagefooterc.slideUp();
		pagefooterpt.slideUp();
		pagefooterpb.slideUp();
		pagefooterdivider.slideUp();
		pagefooterinfo.slideDown();
	}
	else {
		pagefooterbg.slideDown();
		pagefooterc.slideDown();
		pagefooterpt.slideDown();
		pagefooterpb.slideDown();
		pagefooterdivider.slideDown();
		pagefooterinfo.slideUp();
	}
	pagefooter.live('change', function(){
		if(!pagefooter.is(':checked')) {
		pagefooterbg.slideUp();
		pagefooterc.slideUp();
		pagefooterpt.slideUp();
		pagefooterpb.slideUp();
		pagefooterdivider.slideUp();
		pagefooterinfo.slideDown();
		}
		else {
		pagefooterbg.slideDown();
		pagefooterc.slideDown();
		pagefooterpt.slideDown();
		pagefooterpb.slideDown();
		pagefooterdivider.slideDown();
		pagefooterinfo.slideUp();
		}
	});

	//page footer widget area display settings
	var pagefw= jQuery('#softing_page_fw_onoff');
	var pagefwbg = jQuery('label[for="softing_p_fw_bg"]').parents('.rwmb-background-wrapper');
	var pagefwbgo = jQuery('label[for="softing_p_fw_bg_o"]').parents('.rwmb-color-wrapper');
	var pagefwtclr = jQuery('label[for="softing_p_fw_t_c"]').parents('.rwmb-color-wrapper');
	var pagefwhclr = jQuery('label[for="softing_p_fw_h_c"]').parents('.rwmb-color-wrapper');
	var pagefwaclr = jQuery('label[for="softing_p_fw_a"]').parents('.rwmb-color-wrapper');
	var pagefwhvra = jQuery('label[for="softing_p_fw_hvra"]').parents('.rwmb-color-wrapper');
	var pagefwpt = jQuery('label[for="softing_p_fw_pt"]').parents('.rwmb-number-wrapper');
	var pagefwpb = jQuery('label[for="softing_p_fw_pb"]').parents('.rwmb-number-wrapper');
	var pagefwdivider = jQuery('#pageheadersettings .rwmb-tab-panel-tab4 .rwmb-divider-wrapper');
	var pagefwinfo = jQuery('#pageheadersettings #page-fw-off-info').parents('.rwmb-custom_html-wrapper');

	if( !pagefw.is(':checked')) {
		pagefwbg.slideUp();
		pagefwbgo.slideUp();
		pagefwtclr.slideUp();
		pagefwhclr.slideUp();
		pagefwaclr.slideUp();
		pagefwhvra.slideUp();
		pagefwpt.slideUp();
		pagefwpb.slideUp();
		pagefwdivider.slideUp();
		pagefwinfo.slideDown();
	}
	else {
		pagefwbg.slideDown();
		pagefwbgo.slideDown();
		pagefwtclr.slideDown();
		pagefwhclr.slideDown();
		pagefwaclr.slideDown();
		pagefwhvra.slideDown();
		pagefwpt.slideDown();
		pagefwpb.slideDown();
		pagefwdivider.slideDown();
		pagefwinfo.slideUp();
	}
	pagefw.live('change', function(){
		if(!pagefw.is(':checked')) {
		pagefwbg.slideUp();
		pagefwbgo.slideUp();
		pagefwtclr.slideUp();
		pagefwhclr.slideUp();
		pagefwaclr.slideUp();
		pagefwhvra.slideUp();
		pagefwpt.slideUp();
		pagefwpb.slideUp();
		pagefwdivider.slideUp();
		pagefwinfo.slideDown();
		}
		else {
		pagefwbg.slideDown();
		pagefwbgo.slideDown();
		pagefwtclr.slideDown();
		pagefwhclr.slideDown();
		pagefwaclr.slideDown();
		pagefwhvra.slideDown();
		pagefwpt.slideDown();
		pagefwpb.slideDown();
		pagefwdivider.slideDown();
		pagefwinfo.slideUp();
		}
	});

	//page hero display settings
	var pagehero = jQuery('#softing_page_hero_display');
	var pageheroalign = jQuery('label[for="softing_page_hero_align"]').parents('.rwmb-select-wrapper');
	var pageherobg = jQuery('label[for="softing_p_h_bg"]').parents('.rwmb-background-wrapper');
	var pageherobgot = jQuery('label[for="softing_page_hero_overlay_type"]').parents('.rwmb-select-wrapper');
	var pageherobgo = jQuery('label[for="softing_p_h_overlay"]').parents('.rwmb-color-wrapper');
	var pageheropt = jQuery('label[for="softing_p_h_pt"]').parents('.rwmb-number-wrapper');
	var pageheropb = jQuery('label[for="softing_p_h_pb"]').parents('.rwmb-number-wrapper');
	var pageherodivider = jQuery('#pageherosettings .rwmb-tab-panel-tab0 .rwmb-divider-wrapper, #pageherosettings  .rwmb-tab-tab1, #pageherosettings  .rwmb-tab-tab2, #pageherosettings  .rwmb-tab-tab3');
	var pageheroinfo = jQuery('#pageherosettings #page-hero-off-info').parents('.rwmb-custom_html-wrapper');

	if( !pagehero.is(':checked')) {
		pageheroalign.slideUp();
		pageherobg.slideUp();
		pageherobgot.slideUp();
		pageherobgo.slideUp();
		pageheropt.slideUp();
		pageheropb.slideUp();
		pageherodivider.slideUp();
		pageheroinfo.slideDown();
	}
	else {
		pageheroalign.slideDown();
		pageherobg.slideDown();
		pageherobgot.slideDown();
		pageherobgo.slideDown();
		pageheropt.slideDown();
		pageheropb.slideDown();
		pageherodivider.slideDown();
		pageheroinfo.slideUp();
	}
	pagehero.live('change', function(){
		if(!pagehero.is(':checked')) {
		pageheroalign.slideUp();
		pageherobg.slideUp();
		pageherobgot.slideUp();
		pageherobgo.slideUp();
		pageheropt.slideUp();
		pageheropb.slideUp();
		pageherodivider.slideUp();
		pageheroinfo.slideDown();
		}
		else {
		pageheroalign.slideDown();
		pageherobg.slideDown();
		pageherobgot.slideDown();
		pageherobgo.slideDown();
		pageheropt.slideDown();
		pageheropb.slideDown();
		pageherodivider.slideDown();
		pageheroinfo.slideUp();
		}
	});


});
})(jQuery);
